The SSL configuration pulls in a dependency on HTTP/2 (preferred protocol). Default setup without modifications requires NGINX 1.9.5.